# Query payment status (deprecated)

Send a request to find out the current status of your payment after it has been authorized using the events action link.
**Note:** It can take up to 15 minutes for a payment event to update.

Endpoint: GET /payments/events/{linkData}
Version: 7
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `linkData` (string, required)
    Action link that's received in your request.

## Header parameters:

  - `Content-Type` (string, required)

  - `Accept` (string, required)

## Response 200:

  - `200` (unknown)
    Retrieve the last event of a payment

## Response 200 fields (application/vnd.worldpay.payments-v7+json):

  - `lastEvent` (string, required)
    Enum: "Authorized", "Refused", "Sent for Settlement", "Sent for Refund", "Sent for Cancellation", "Refund failed", "Settlement failed", "Settled", "Refunded", "Error", "Expired"

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)
    Further error details

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.jsonPath` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 415:

  - `415` (unknown)
    Unsupported media type

## Response 415 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 500:

  - `500` (unknown)
    Internal server error

## Response 500 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 200 examples:

  - `Querying a payment event with a transaction reference` (unknown)
    Querying a payment event with a transaction reference

## Response 400 examples:

  - `Bad request` (unknown)
    Bad request

## Response 401 examples:

  - `unauthorized` (unknown)
    Unauthorized

## Response 404 examples:

  - `notFound` (unknown)
    Not found

## Response 415 examples:

  - `unsupported` (unknown)
    Unsupported media type

